aboutsummaryrefslogtreecommitdiff
path: root/test/runner.sh
diff options
context:
space:
mode:
authorMrArmonius <mrarmonius@gmail.com>2021-07-16 16:56:56 +0200
committerMrArmonius <mrarmonius@gmail.com>2021-07-19 18:57:40 +0200
commit9a8c19ec0f9b2f09daab244a49c67904c5c086aa (patch)
treef30c61228022493823ca812b292fee2285b2d233 /test/runner.sh
parentda627ac39ad437bfb6be7e5f343933a0ca4e5073 (diff)
downloadbottin-9a8c19ec0f9b2f09daab244a49c67904c5c086aa.tar.gz
bottin-9a8c19ec0f9b2f09daab244a49c67904c5c086aa.zip
Bottin's Test V2.0 with Framework Testing
V2 the test end-to-end, Tests made similar to V1.0, Add the possibility to pararellize the tests, Create an environnement for easy integration of news test,
Diffstat (limited to 'test/runner.sh')
-rwxr-xr-xtest/runner.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/test/runner.sh b/test/runner.sh
new file mode 100755
index 0000000..0b97068
--- /dev/null
+++ b/test/runner.sh
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+set -ex
+
+echo $BOTTIN_DEFAULT_ADMIN_PW
+consul agent -dev > /dev/null 2>&1 &
+sleep 2
+cp test/config.json.test config.json
+./bottin > /dev/null 2>&1 &
+sleep 1
+./test/test -test.v -test.failfast -test.short -test.run TestPrincipal
+./test/test -test.v -test.failfast -test.run TestPrincipal/B=